com.ibm.openpages.api.metadata

## Interface IControllerFieldMap

-     public interface IControllerFieldMap

  Provides a Map for referring to the Controller Field's Values in a Dependency.

  For `FieldDependencyType.VISIBILITY`, `FieldDependencyType.EDITABILITY`, and `FieldDependencyType.REQUIREDNESS`, the Controller values will be the values that control the behavior of the Dependent field. The value of the DependentValues is unused.

  For FieldDependencyType: `FieldDependencyType.PICKLIST` the Controller Field's values will be mapped to a List of EnumValues that are from the Dependent Field.

  See Also:
    `IFieldDependency`, `FieldDependencyType`
  Category:
    MetaData

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IFieldDefinition` | `getControllerField()` Gets the Field Definition for this Controller field.
    `java.util.Set<java.lang.String>` | `getControllerValues()` Gets all Controlling values.
    `java.util.List<IEnumValue>` | `getDependentValues(java.lang.String controllerValue)` For FieldDependencyType: PICKLIST, the Controller Field's value will be mapped to a List of EnumValues that are from the Dependent Field.
    `ITypeDefinition` | `getTypeDefinition()` Gets the TypeDefinition for this Controller field.

- - ### Method Detail

    - #### getTypeDefinition

          ITypeDefinition getTypeDefinition()

      Gets the TypeDefinition for this Controller field.

      Returns:
        `ITypeDefinition` the TypeDefinition for this Dependency

    - #### getControllerField

          IFieldDefinition getControllerField()

      Gets the Field Definition for this Controller field.

      Returns:
        `IFieldDefinition` the Controlling field definition

    - #### getControllerValues

          java.util.Set<java.lang.String> getControllerValues()

      Gets all Controlling values. In most cases, the values will be System names of an EnumValue.

      Returns:
        set of the Controller Values

    - #### getDependentValues

          java.util.List<IEnumValue> getDependentValues(java.lang.String controllerValue)

      For FieldDependencyType: PICKLIST, the Controller Field's value will be mapped to a List of EnumValues that are from the Dependent Field.

      Parameters:
        `controllerValue` - in most cases the System name of an EnumValue
      Returns:
        List of Dependent Picklist Field EnumValues

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.